Skip to main content
GET
/
api
/
shifts
Get all shifts
curl --request GET \
  --url https://your-production-domain.com/api/shifts \
  --cookie connect.sid=
[
  {
    "id": 123,
    "facilityId": 123,
    "title": "<string>",
    "date": "2023-12-25",
    "startTime": "<string>",
    "endTime": "<string>",
    "department": "<string>",
    "specialty": "<string>",
    "requiredWorkers": 123,
    "assignedStaffIds": [
      123
    ],
    "rate": 123,
    "notes": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

connect.sid
string
cookie
required

Session-based authentication cookie

Query Parameters

facilityId
integer

Filter by facility ID

date
string<date>

Filter by specific date

status
enum<string>

Filter by shift status

Available options:
open,
assigned,
in_progress,
completed,
cancelled
staffId
integer

Filter by assigned staff member ID

startDate
string<date>

Filter from start date

endDate
string<date>

Filter to end date

Response

200 - application/json

List of shifts

id
integer

Unique shift identifier

facilityId
integer

Facility where the shift takes place

title
string

Shift title or description

date
string<date>

Shift date

startTime
string<time>

Shift start time

endTime
string<time>

Shift end time

department
string | null

Department for the shift

specialty
string | null

Required specialty

requiredWorkers
integer

Number of workers needed

assignedStaffIds
integer[]

IDs of assigned staff members

status
enum<string>

Current shift status

Available options:
open,
assigned,
in_progress,
completed,
cancelled
urgency
enum<string>

Shift urgency level

Available options:
low,
medium,
high,
critical
rate
number<decimal> | null

Pay rate for the shift

notes
string | null

Additional notes or requirements

createdAt
string<date-time>
updatedAt
string<date-time>